// C Source File
// Created 26.8.2003; 18:10:04

#define USE_TI89              // Compile for TI-89
#define MIN_AMS 100           // Compile for AMS 1.00 or higher
#define SAVE_SCREEN           // Save/Restore LCD Contents
#include <tigcclib.h>         // Include All Header Files
//#include <extgraph.h>

#define X 80
#define Y 50


void DrawLineThick(int x, int y, int x1, int y1, int mode);

typedef struct
{
	int x;
	int y;
	int dx;
	int dy;
}	PT;
	
	PT pt[4] ={	{-11, 23, 1, 1},
							{10, -32, 1, 1},
							{-25, -13, -1,1},
							{12, 20, 1, -1}};
								
	PT pd[3] ={	{-11, 23, -1, 1},
							{10, -32, 1, -1},
							{-25, -13, 1,1}};
							
							
	const char *msg = "Spinning triangles. By CondA v1.01";														
							
void _main(void)
{
	volatile int i;
			ST_helpMsg (msg);
	ngetchx();
	clrscr();
	
	GrayOn();
	GraySetAMSPlane (LIGHT_PLANE);
	//DrwRect(0,0,159,99);
	GraySetAMSPlane (DARK_PLANE);	

	while(!kbhit())
	{

	ClrScr();

		// Black
		DrawLineThick(pt[0].x, pt[0].y, pt[1].x, pt[1].y, A_THICK1);
		DrawLineThick(pt[1].x, pt[1].y, pt[2].x, pt[2].y, A_THICK1);
		DrawLineThick(pt[2].x, pt[2].y, pt[0].x, pt[0].y, A_THICK1);
		//DrawLineThick(pt[3].x, pt[3].y, pt[0].x, pt[0].y, A_THICK1);
	
		// Gray
	GraySetAMSPlane (LIGHT_PLANE);
		ClrScr();
		DrawLineThick(pd[0].x, pd[0].y, pd[1].x, pd[1].y, A_THICK1);
		DrawLineThick(pd[1].x, pd[1].y, pd[2].x, pd[2].y, A_THICK1);
		DrawLineThick(pd[2].x, pd[2].y, pd[0].x, pd[0].y, A_THICK1);
	GraySetAMSPlane (DARK_PLANE);		
	
	
	
	
		for(i=0; i<3; i++)
		{
		if(pt[i].x<=-70)
		pt[i].dx = -pt[i].dx;
		
		if(pt[i].x>=70)
		pt[i].dx = -pt[i].dx;
		
		if(pt[i].y<=-40)
		pt[i].dy = -pt[i].dy;
		
		if(pt[i].y>=40)
		pt[i].dy = -pt[i].dy;

		pt[i].x += pt[i].dx;
		pt[i].y += pt[i].dy;
		}
		///////////////////////////
		for(i=0; i<3; i++)
		{
		if(pd[i].x<=-70)
		pd[i].dx = -pd[i].dx;
		
		if(pd[i].x>=70)
		pd[i].dx = -pd[i].dx;
		
		if(pd[i].y<=-40)
		pd[i].dy = -pd[i].dy;
		
		if(pd[i].y>=40)
		pd[i].dy = -pd[i].dy;

		pd[i].x += pd[i].dx;
		pd[i].y += pd[i].dy;
		}		


	}

		GrayOff();
		FontSetSys (F_4x6);
		clrscr();
		printf("Version history:");
		printf("\n\nVersion 1.00 alpha....OK\n");
		printf("\nVersion 1.01:");
		printf("\n     Corrected spelling mistake");
		printf("\n     in the status line");
		printf("\n     Sinning triangles. By CondA....heh");
		ngetchx();
		ngetchx();
}

void DrwRect ( int x, int y, int x1, int y1)
{
	int i;
	for (i=(y1-y); i>0; i--)
	{
			DrawLine (x, y+i, x1, y+i, A_XOR);	
	}
}


void DrawLineThick(int x, int y, int x1, int y1, int mode)
{

		DrawLine(x + X, y + Y, x1 + X, y1 + Y, mode);	
		DrawLine(x + X + 1, y + Y + 1, x1 + X + 1, y1+ Y + 1, mode);
	//	DrawLine(x + X + 2, y + Y + 2, x1 + X + 2, y1 + Y + 2, mode);
}